import request from '@/router/axios'

export function getClassifyDropDown() {
  return request({
    url: '/admin/merchantMallGoods/merchantDropDownBox',
    method: 'get'
  })
}

export function searchSpecByName(query) {
  return request({
    url: '/admin/mallGoodsSpec/getSpecByName',
    method: 'get',
    params: query
  })
}

export function searchSpecByClassId(query) {
  return request({
    url: '/admin/mallGoodsSpec/getSpecByClassId',
    method: 'get',
    params: query
  })
}


export function getSpecValue(query) {
  return request({
    url: '/admin/mallGoodsSpec/getSpecValueById',
    method: 'get',
    params: query
  })
}

export function getGoodsDetails(query) {
  return request({
    url: '/admin/mallGoods/getDetailsById',
    method: 'get',
    params: query
  })
}


/*** 自定义添加 ***/
export function getMerchantByAccount(parameter) {
  return request({
    url: '/admin/merchantMallGoods/getMerchantByAccount',
    method: 'get',
    params:parameter
  })
}
